<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__stack__mgr__mem__cfg__param__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_stack_mgr_mem_cfg_param_t</compoundname>
    <includes local="no">cy_ble_stack.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__stack__mgr__mem__cfg__param__t_1a969636ff7e6331f85bb3d7241f5821fb" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t *</type>
        <definition>uint8_t* cy_stc_ble_stack_mgr_mem_cfg_param_t::memoryHeapPtr</definition>
        <argsstring />
        <name>memoryHeapPtr</name>
        <briefdescription>
<para>Memory Heap pointer. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack.h" bodystart="1605" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack.h" line="1605" />
      </memberdef>
      <memberdef id="structcy__stc__ble__stack__mgr__mem__cfg__param__t_1a3c36179880f303b46f38ca825de09702" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__ble__stk__app__data__buff__t">cy_stc_ble_stk_app_data_buff_t</ref> *</type>
        <definition>cy_stc_ble_stk_app_data_buff_t* cy_stc_ble_stack_mgr_mem_cfg_param_t::dataBuff</definition>
        <argsstring />
        <name>dataBuff</name>
        <briefdescription>
<para>Set of buffers needed for BLE Stack operation. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack.h" bodystart="1608" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack.h" line="1608" />
      </memberdef>
      <memberdef id="structcy__stc__ble__stack__mgr__mem__cfg__param__t_1a3d1e93c8f49ad808e8746ad344b86b53" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_ble_stack_mgr_mem_cfg_param_t::totalHeapSz</definition>
        <argsstring />
        <name>totalHeapSz</name>
        <briefdescription>
<para>Memory heap pointer size. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack.h" bodystart="1611" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack.h" line="1611" />
      </memberdef>
      <memberdef id="structcy__stc__ble__stack__mgr__mem__cfg__param__t_1a7d0caeda40efcb4ec6cd02757ecd90a1" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_stack_mgr_mem_cfg_param_t::totalDataBufferPools</definition>
        <argsstring />
        <name>totalDataBufferPools</name>
        <briefdescription>
<para>Total data buffer pools. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack.h" bodystart="1614" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack.h" line="1614" />
      </memberdef>
      <memberdef id="structcy__stc__ble__stack__mgr__mem__cfg__param__t_1ac4281c42ba13e89e1d5682ce5e1be8a0" kind="variable" mutable="no" prot="public" static="no">
        <type>const uint8_t *</type>
        <definition>const uint8_t* cy_stc_ble_stack_mgr_mem_cfg_param_t::bleStackFlashPointer</definition>
        <argsstring />
        <name>bleStackFlashPointer</name>
        <briefdescription>
<para>Pointer to an array of bytes to be allocated by the BLE Component for the storing the persistent data into the Flash. </para>        </briefdescription>
        <detaileddescription>
<para>Pointer provided is should be aligned to the Flash boundary. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack.h" bodystart="1618" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack.h" line="1618" />
      </memberdef>
      <memberdef id="structcy__stc__ble__stack__mgr__mem__cfg__param__t_1a6aa53228b752c17a54a66ecee8567aec" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_ble_stack_mgr_mem_cfg_param_t::bleStackFlashSize</definition>
        <argsstring />
        <name>bleStackFlashSize</name>
        <briefdescription>
<para>Size of the total Flash memory pointed by bleStackFlashPointer. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack.h" bodystart="1621" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack.h" line="1621" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>BLE Stack Manager configuration structure for allocating memory pools for host and controller operation. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="1239">
        <label>cy_stc_ble_stack_mgr_mem_cfg_param_t</label>
        <link refid="structcy__stc__ble__stack__mgr__mem__cfg__param__t" />
        <childnode refid="1240" relation="usage">
          <edgelabel>dataBuff</edgelabel>
        </childnode>
      </node>
      <node id="1240">
        <label>cy_stc_ble_stk_app_data_buff_t</label>
        <link refid="structcy__stc__ble__stk__app__data__buff__t" />
      </node>
    </collaborationgraph>
    <location bodyend="1623" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack.h" bodystart="1602" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack.h" line="1603" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__stack__mgr__mem__cfg__param__t_1ac4281c42ba13e89e1d5682ce5e1be8a0" virt="non-virtual"><scope>cy_stc_ble_stack_mgr_mem_cfg_param_t</scope><name>bleStackFlashPointer</name></member>
      <member prot="public" refid="structcy__stc__ble__stack__mgr__mem__cfg__param__t_1a6aa53228b752c17a54a66ecee8567aec" virt="non-virtual"><scope>cy_stc_ble_stack_mgr_mem_cfg_param_t</scope><name>bleStackFlashSize</name></member>
      <member prot="public" refid="structcy__stc__ble__stack__mgr__mem__cfg__param__t_1a3c36179880f303b46f38ca825de09702" virt="non-virtual"><scope>cy_stc_ble_stack_mgr_mem_cfg_param_t</scope><name>dataBuff</name></member>
      <member prot="public" refid="structcy__stc__ble__stack__mgr__mem__cfg__param__t_1a969636ff7e6331f85bb3d7241f5821fb" virt="non-virtual"><scope>cy_stc_ble_stack_mgr_mem_cfg_param_t</scope><name>memoryHeapPtr</name></member>
      <member prot="public" refid="structcy__stc__ble__stack__mgr__mem__cfg__param__t_1a7d0caeda40efcb4ec6cd02757ecd90a1" virt="non-virtual"><scope>cy_stc_ble_stack_mgr_mem_cfg_param_t</scope><name>totalDataBufferPools</name></member>
      <member prot="public" refid="structcy__stc__ble__stack__mgr__mem__cfg__param__t_1a3d1e93c8f49ad808e8746ad344b86b53" virt="non-virtual"><scope>cy_stc_ble_stack_mgr_mem_cfg_param_t</scope><name>totalHeapSz</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>